[{"/Users/claire/test-social-media-project/src/index.tsx":"1","/Users/claire/test-social-media-project/src/store.js":"2","/Users/claire/test-social-media-project/src/App.js":"3","/Users/claire/test-social-media-project/src/model/users.js":"4","/Users/claire/test-social-media-project/src/components/Header.js":"5","/Users/claire/test-social-media-project/src/pages/Main.js":"6","/Users/claire/test-social-media-project/src/pages/Users.js":"7","/Users/claire/test-social-media-project/src/pages/Home.js":"8","/Users/claire/test-social-media-project/src/components/Card.js":"9","/Users/claire/test-social-media-project/src/pages/Add.js":"10","/Users/claire/test-social-media-project/src/pages/Photos.js":"11","/Users/claire/test-social-media-project/src/components/PhotoItem.js":"12"},{"size":325,"mtime":1609924683387,"results":"13","hashOfConfig":"14"},{"size":2658,"mtime":1610292392571,"results":"15","hashOfConfig":"14"},{"size":236,"mtime":1609983414159,"results":"16","hashOfConfig":"14"},{"size":0,"mtime":1609983182624,"results":"17","hashOfConfig":"14"},{"size":1322,"mtime":1610095690760,"results":"18","hashOfConfig":"14"},{"size":2049,"mtime":1610292756308,"results":"19","hashOfConfig":"14"},{"size":2564,"mtime":1610099208977,"results":"20","hashOfConfig":"14"},{"size":971,"mtime":1610292544148,"results":"21","hashOfConfig":"14"},{"size":6882,"mtime":1610292354017,"results":"22","hashOfConfig":"14"},{"size":4314,"mtime":1610292619721,"results":"23","hashOfConfig":"14"},{"size":921,"mtime":1610292681413,"results":"24","hashOfConfig":"14"},{"size":988,"mtime":1610096518781,"results":"25","hashOfConfig":"14"},{"filePath":"26","messages":"27","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"28"},"1p73hvb",{"filePath":"29","messages":"30","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"31","messages":"32","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"33"},{"filePath":"34","messages":"35","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0,"usedDeprecatedRules":"33"},{"filePath":"36","messages":"37","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"38","messages":"39","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"40","messages":"41","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"42","messages":"43","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"44","messages":"45","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"46","messages":"47","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},{"filePath":"48","messages":"49","errorCount":0,"warningCount":1,"fixableErrorCount":0,"fixableWarningCount":0,"source":null},{"filePath":"50","messages":"51","errorCount":0,"warningCount":0,"fixableErrorCount":0,"fixableWarningCount":0},"/Users/claire/test-social-media-project/src/index.tsx",[],["52","53"],"/Users/claire/test-social-media-project/src/store.js",["54"],"/Users/claire/test-social-media-project/src/App.js",[],["55","56"],"/Users/claire/test-social-media-project/src/model/users.js",[],"/Users/claire/test-social-media-project/src/components/Header.js",[],"/Users/claire/test-social-media-project/src/pages/Main.js",[],"/Users/claire/test-social-media-project/src/pages/Users.js",["57"],"/Users/claire/test-social-media-project/src/pages/Home.js",["58"],"/Users/claire/test-social-media-project/src/components/Card.js",[],"/Users/claire/test-social-media-project/src/pages/Add.js",[],"/Users/claire/test-social-media-project/src/pages/Photos.js",["59"],"/Users/claire/test-social-media-project/src/components/PhotoItem.js",[],{"ruleId":"60","replacedBy":"61"},{"ruleId":"62","replacedBy":"63"},{"ruleId":"64","severity":1,"message":"65","line":88,"column":9,"nodeType":"66","messageId":"67","endLine":88,"endColumn":12},{"ruleId":"60","replacedBy":"61"},{"ruleId":"62","replacedBy":"63"},{"ruleId":"68","severity":1,"message":"69","line":18,"column":8,"nodeType":"70","endLine":18,"endColumn":10,"suggestions":"71"},{"ruleId":"68","severity":1,"message":"72","line":26,"column":8,"nodeType":"70","endLine":26,"endColumn":10,"suggestions":"73"},{"ruleId":"68","severity":1,"message":"74","line":25,"column":8,"nodeType":"70","endLine":25,"endColumn":10,"suggestions":"75"},"no-native-reassign",["76"],"no-negated-in-lhs",["77"],"no-unused-vars","'res' is assigned a value but never used.","Identifier","unusedVar","react-hooks/exhaustive-deps","React Hook useEffect has a missing dependency: 'fetchUsers'. Either include it or remove the dependency array.","ArrayExpression",["78"],"React Hook useEffect has a missing dependency: 'fetchPosts'. Either include it or remove the dependency array.",["79"],"React Hook useEffect has a missing dependency: 'fetchPhotos'. Either include it or remove the dependency array.",["80"],"no-global-assign","no-unsafe-negation",{"desc":"81","fix":"82"},{"desc":"83","fix":"84"},{"desc":"85","fix":"86"},"Update the dependencies array to be: [fetchUsers]",{"range":"87","text":"88"},"Update the dependencies array to be: [fetchPosts]",{"range":"89","text":"90"},"Update the dependencies array to be: [fetchPhotos]",{"range":"91","text":"92"},[826,828],"[fetchUsers]",[784,786],"[fetchPosts]",[766,768],"[fetchPhotos]"]